import axios from 'axios'

const mapService = axios.create({
  // Vite默认不支持process
  // baseURL: process.env.VITE_BASE_URL,
  baseURL: 'https://restapi.amap.com/',
  timeout: 50000 // 请求超时
})

// 请求拦截器
mapService.interceptors.request.use(
  config => {
    config.headers['key'] = '19c4734ab21efe7e377bf9065c47d9b2'
    return config
  },
  error => {
    // 异常情况
    console.log(error)
    return Promise.reject(error)
  }
)

// 返回拦截器
mapService.interceptors.response.use(

  response => {
    const res = response.data



    if (res.infocode == "10044") {
      ElMessage({
          message: '当日查询高德接口次数已用完',
          type: 'error',
          duration: 5 * 1000,
          plain: true
      })
      return res;
    }

    if (res.status != "1") {
      ElMessage({
          message: '高德接口查询异常',
          type: 'error',
          duration: 5 * 1000,
          plain: true
      })
      return res;
    }
    return res;
  },
  error => {
    console.log('err' + error)
    return Promise.reject(error)
  }
)

export default mapService
